summaryrefslogtreecommitdiff
path: root/tests/test-nl_langinfo.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2009-12-11 20:11:22 +0100
committerBruno Haible <bruno@clisp.org>2009-12-11 20:11:22 +0100
commit9a9d32fbb36e8363c32de6068765829d8232949e (patch)
treec21381eba13541f0a45b2d107eae57f8995cbaf3 /tests/test-nl_langinfo.sh
parentfdf6b0ba132b0f8cfacf2ad5d31e366757c7ac34 (diff)
downloadgnulib-9a9d32fbb36e8363c32de6068765829d8232949e.tar.gz
Tests for module 'nl_langinfo'.
Diffstat (limited to 'tests/test-nl_langinfo.sh')
-rwxr-xr-xtests/test-nl_langinfo.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/test-nl_langinfo.sh b/tests/test-nl_langinfo.sh
new file mode 100755
index 0000000000..3168f426f2
--- /dev/null
+++ b/tests/test-nl_langinfo.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+LC_ALL=C ./test-nl_langinfo${EXEEXT} 0 || exit 1
+
+# Test whether a specific traditional locale is installed.
+: ${LOCALE_FR=fr_FR}
+if test $LOCALE_FR != none; then
+ LC_ALL=$LOCALE_FR ./test-nl_langinfo${EXEEXT} 1 || exit 1
+fi
+
+# Test whether a specific UTF-8 locale is installed.
+: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
+if test $LOCALE_FR_UTF8 != none; then
+ LC_ALL=$LOCALE_FR_UTF8 ./test-nl_langinfo${EXEEXT} 2 || exit 1
+fi
+
+exit 0